package com.lightinit.hsdataplatform.dictionary;

import java.util.HashMap;
import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/20.
 */
public class DicActivityType {

    public static final String HANG_YE_JIAO_LIU = "行业交流";
    public static final String CHUANG_YE_FEN_XIANG = "创业分享";
    public static final String LU_YAN_HUO_DONG = "路演活动";
    public static final String HE_HUO_REN_ZHAO_MU = "合伙人招募";
    public static final String HU_LIAN_WANG_DA_HUI = "互联网大会";
    public static final String SHANG_YE_PEI_XUN = "商业培训";
    public static final String WEN_HUA_TI_YAN = "文化体验";
    public static final String ZHI_NENG_JIA_JU = "智能家居";
    public static final String JIAO_YU = "教育";
    public static final String SHI_PIN_FEN_XIANG = "视频分享";
    public static final String ZHENG_MIN_HU_DONG = "政民互动";

    private static DicActivityType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicActivityType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(HANG_YE_JIAO_LIU, HANG_YE_JIAO_LIU);
        dicMap.put(CHUANG_YE_FEN_XIANG, CHUANG_YE_FEN_XIANG);
        dicMap.put(LU_YAN_HUO_DONG, LU_YAN_HUO_DONG);
        dicMap.put(HE_HUO_REN_ZHAO_MU, HE_HUO_REN_ZHAO_MU);
        dicMap.put(HU_LIAN_WANG_DA_HUI, HU_LIAN_WANG_DA_HUI);
        dicMap.put(SHANG_YE_PEI_XUN, SHANG_YE_PEI_XUN);
        dicMap.put(WEN_HUA_TI_YAN, WEN_HUA_TI_YAN);
        dicMap.put(ZHI_NENG_JIA_JU, ZHI_NENG_JIA_JU);
        dicMap.put(JIAO_YU, JIAO_YU);
        dicMap.put(SHI_PIN_FEN_XIANG, SHI_PIN_FEN_XIANG);
        dicMap.put(ZHENG_MIN_HU_DONG, ZHENG_MIN_HU_DONG);
    }

    public static DicActivityType getInstacne(){
        if (instance == null)
        {
            instance = new DicActivityType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
